### Enumeration

# EDataBook BookBackendSexpCompareKind

since: 3.50

#### Declaration

    enum EDataBook.BookBackendSexpCompareKind

#### Description [src]

What compare function should be used when comparing two values.

Available since: 3.50

#### Members

`E_BOOK_BACKEND_SEXP_COMPARE_KIND_UNKNOWN`

  Unknown compare kind.

  - Value: `0`
  - Available since: 3.50
`E_BOOK_BACKEND_SEXP_COMPARE_KIND_BEGINS_WITH`

  Check whether a value begins with a string.

  - Value: `1`
  - Available since: 3.50
`E_BOOK_BACKEND_SEXP_COMPARE_KIND_ENDS_WITH`

  Check whether a value ends with a string.

  - Value: `2`
  - Available since: 3.50
`E_BOOK_BACKEND_SEXP_COMPARE_KIND_CONTAINS`

  Check whether a value contains a string.

  - Value: `3`
  - Available since: 3.50
`E_BOOK_BACKEND_SEXP_COMPARE_KIND_IS`

  Check whether a value exactly matches a string.

  - Value: `4`
  - Available since: 3.50